cdb_init(3)

NAME
cdb_init - open a constant database

SYNTAX
#include <libowfat/cdb.h> int cdb_init(struct cdb *c, int fd);

DESCRIPTION
cdb_init places information about fd into a struct cdb variable c. fd has to be a seekable file previously opened for reading. On systems that support mmap, cdb_init will try to map the whole constant database into memory. The inverse operation to cdb_init is cdb_free.

SEE ALSO
cdb_free(3), cdb_read(3), cdb_find(3), cdbmake(1)